\section{Work Plan}
\label{sec:workplan}

% TODO(rgcv): Fill in tasks to be performed
\begin{center}
  \renewcommand{\arraystretch}{1.2}
  \shortusdate
  \begin{tabularx}{\textwidth}{|r*{2}{|Y}|}
    \cline{2-3}
    \multicolumn{1}{c|}{}
      & \textbf{\FirstStudentName}
      & \textbf{\SecondStudentName} \\
    \hline
    \textbf{\formatdate{31}{10}{2018}}
      & Setup Android app
      & Setup app server \\
    \hline
    \textbf{\formatdate{07}{11}{2018}}
      & Sending SMS to Server
      & Parsing client message \\
    \hline
    \textbf{\formatdate{14}{11}{2018}}
      & Sign, freshen, and cipher SMS
      & Decipher, check nonce and verify signature \\
    \hline
    \textbf{\formatdate{21}{11}{2018}} & --- & --- \\
    \hline
    \textbf{\formatdate{28}{11}{2018}}
      & Implement KEP
      & Implement CA \\
    \hline
    \textbf{\formatdate{05}{12}{2018}}
      & Publish client certs
      & Request auth proof to bank \\
    \hline
    \textbf{\formatdate{12}{12}{2018}}
      & Minor testing and tweaks
      & Minor testing and tweaks \\
    \hline
  \end{tabularx}
\end{center}

\subsection*{Predicted deadlines}
\label{sec:workplan.deadlines}

\begin{itemize}
  \item \textbf{Basic solution}        - \formatdate{14}{11}{2018}
  \item \textbf{Intermediate solution} - \formatdate{28}{11}{2018}
  \item \textbf{Advanced solution}     - \formatdate{12}{12}{2018}
\end{itemize}
